diff -upr ioquake3svn1438/code/game/g_main.c ioquake3serverFix/code/game/g_main.c
--- ioquake3svn1438/code/game/g_main.c	2008-07-07 15:51:26.000000000 -0500
+++ ioquake3serverFix/code/game/g_main.c	2008-08-09 11:28:21.000000000 -0500
@@ -81,87 +81,20 @@ vmCvar_t	pmove_fixed;
 vmCvar_t	pmove_msec;
 vmCvar_t	g_rankings;
 vmCvar_t	g_listEntity;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 vmCvar_t	g_obeliskHealth;
 vmCvar_t	g_obeliskRegenPeriod;
 vmCvar_t	g_obeliskRegenAmount;
 vmCvar_t	g_obeliskRespawnDelay;
 vmCvar_t	g_cubeTimeout;
-#ifdef MISSIONPACK
 vmCvar_t	g_redteam;
 vmCvar_t	g_blueteam;
 vmCvar_t	g_singlePlayer;
 vmCvar_t	g_enableDust;
 vmCvar_t	g_enableBreath;
-#endif
 vmCvar_t	g_proxMineTimeout;
-vmCvar_t	g_music;
-//#endif
-//Following for elimination:
-vmCvar_t	g_elimination_selfdamage;
-vmCvar_t	g_elimination_startHealth;
-vmCvar_t	g_elimination_startArmor;
-vmCvar_t	g_elimination_bfg;
-vmCvar_t	g_elimination_roundtime;
-vmCvar_t	g_elimination_warmup;
-vmCvar_t	g_elimination_activewarmup;
-//more weapons in beta 9:
-vmCvar_t	g_elimination_machinegun;
-vmCvar_t	g_elimination_shotgun;
-vmCvar_t	g_elimination_grenade;
-vmCvar_t	g_elimination_rocket;
-vmCvar_t	g_elimination_railgun;
-vmCvar_t	g_elimination_lightning;
-vmCvar_t	g_elimination_plasmagun;
-//#ifdef MISSIONPACK
-vmCvar_t	g_elimination_chain;
-vmCvar_t	g_elimination_mine;
-vmCvar_t	g_elimination_nail;
-//#endif
-
-vmCvar_t	g_rockets;
-
-//dmn_clowns suggestions (with my idea of implementing):
-vmCvar_t	g_instantgib;
-vmCvar_t	g_vampire;
-vmCvar_t	g_vampireMaxHealth;
-//Regen
-vmCvar_t	g_regen;
-//Beta 4
-int	g_ffa_gt; //Are this a FFA gametype even if gametype is high?
-//beta 5
-vmCvar_t	g_lms_lives;
-
-//beta 8
-vmCvar_t	g_lms_mode;
-
-//beta 10
-vmCvar_t	g_elimination_ctf_oneway;
-
-//beta 18 (oa 0.7.6)
-vmCvar_t        g_awardpushing; //The server can decide if players are awarded for pushing people in lave etc.
-
-//new in beta 19
-vmCvar_t        g_voteNames;
-vmCvar_t        g_voteMaps;
-vmCvar_t        g_voteGametypes;
-vmCvar_t        g_voteMinTimelimit;
-vmCvar_t        g_voteMaxTimelimit;
-vmCvar_t        g_voteMinFraglimit;
-vmCvar_t        g_voteMaxFraglimit;
-//new in beta 19 end
-
-//new in beta 23
-vmCvar_t        g_humanplayers;
-//new in beta 23 end
-
-//unlagged - server options
-vmCvar_t	g_delagHitscan;
-vmCvar_t	g_truePing;
-vmCvar_t	sv_fps;
-//unlagged - server options
+#endif
 
-// bk001129 - made static to avoid aliasing
 static cvarTable_t		gameCvarTable[] = {
 	// don't override the cheat state set by the system
 	{ &g_cheats, "sv_cheats", "", 0, 0, qfalse },
@@ -223,93 +156,31 @@ static cvarTable_t		gameCvarTable[] = {
 	{ &g_podiumDrop, "g_podiumDrop", "70", 0, 0, qfalse },
 
 	{ &g_allowVote, "g_allowVote", "1", CVAR_ARCHIVE, 0, qfalse },
-        
-        //new in beta 19
-        { &g_voteNames, "g_voteNames", "/map_restart/nextmap/map/g_gametype/kick/clientkick/g_doWarmup/timelimit/fraglimit/", CVAR_ARCHIVE, 0, qfalse }, //clientkick g_doWarmup timelimit fraglimit
-        { &g_voteMaps, "g_voteMaps", "*", CVAR_ARCHIVE, 0, qfalse },
-        { &g_voteGametypes, "g_voteGametypes", "/0/1/3/4/8/9/10/11/", CVAR_ARCHIVE, 0, qfalse },
-        { &g_voteMaxTimelimit, "g_voteMaxTimelimit", "0", CVAR_ARCHIVE, 0, qfalse },
-        { &g_voteMinTimelimit, "g_voteMinTimelimit", "0", CVAR_ARCHIVE, 0, qfalse },
-        { &g_voteMaxFraglimit, "g_voteMaxFraglimit", "0", CVAR_ARCHIVE, 0, qfalse },
-        { &g_voteMinFraglimit, "g_voteMinFraglimit", "0", CVAR_ARCHIVE, 0, qfalse },
-        //new in beta 19 end
-        
 	{ &g_listEntity, "g_listEntity", "0", 0, 0, qfalse },
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	{ &g_obeliskHealth, "g_obeliskHealth", "2500", 0, 0, qfalse },
 	{ &g_obeliskRegenPeriod, "g_obeliskRegenPeriod", "1", 0, 0, qfalse },
 	{ &g_obeliskRegenAmount, "g_obeliskRegenAmount", "15", 0, 0, qfalse },
 	{ &g_obeliskRespawnDelay, "g_obeliskRespawnDelay", "10", CVAR_SERVERINFO, 0, qfalse },
 
 	{ &g_cubeTimeout, "g_cubeTimeout", "30", 0, 0, qfalse },
-        #ifdef MISSIONPACK
 	{ &g_redteam, "g_redteam", "Stroggs", CVAR_ARCHIVE | CVAR_SERVERINFO | CVAR_USERINFO , 0, qtrue, qtrue },
 	{ &g_blueteam, "g_blueteam", "Pagans", CVAR_ARCHIVE | CVAR_SERVERINFO | CVAR_USERINFO , 0, qtrue, qtrue  },
 	{ &g_singlePlayer, "ui_singlePlayerActive", "", 0, 0, qfalse, qfalse  },
 
 	{ &g_enableDust, "g_enableDust", "0", CVAR_SERVERINFO, 0, qtrue, qfalse },
 	{ &g_enableBreath, "g_enableBreath", "0", CVAR_SERVERINFO, 0, qtrue, qfalse },
-        #endif
 	{ &g_proxMineTimeout, "g_proxMineTimeout", "20000", 0, 0, qfalse },
-//#endif
+#endif
 	{ &g_smoothClients, "g_smoothClients", "1", 0, 0, qfalse},
 	{ &pmove_fixed, "pmove_fixed", "0", CVAR_SYSTEMINFO, 0, qfalse},
 	{ &pmove_msec, "pmove_msec", "8", CVAR_SYSTEMINFO, 0, qfalse},
 
-//unlagged - server options
-	{ &g_delagHitscan, "g_delagHitscan", "0", CVAR_ARCHIVE | CVAR_SERVERINFO, 0, qtrue },
-	{ &g_truePing, "g_truePing", "0", CVAR_ARCHIVE, 0, qtrue },
-	// it's CVAR_SYSTEMINFO so the client's sv_fps will be automagically set to its value
-	{ &sv_fps, "sv_fps", "20", CVAR_SYSTEMINFO | CVAR_ARCHIVE, 0, qfalse },
-//unlagged - server options
-
-	{ &g_rankings, "g_rankings", "0", 0, 0, qfalse},
-        { &g_music, "g_music", "", 0, 0, qfalse},
-	//Now for elimination stuff:
-	{ &g_elimination_selfdamage, "elimination_selfdamage", "0", 0, 0, qtrue },
-	{ &g_elimination_startHealth, "elimination_startHealth", "200", CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_startArmor, "elimination_startArmor", "200", CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_bfg, "elimination_bfg", "0", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_roundtime, "elimination_roundtime", "90", CVAR_SERVERINFO | CVAR_ARCHIVE | CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_warmup, "elimination_warmup", "7", 0, 0, qtrue },
-	{ &g_elimination_activewarmup, "elimination_activewarmup", "5", 0, 0, qtrue },
-//more weapons in beta 9:
-	{ &g_elimination_machinegun, "elimination_machinegun", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_shotgun, "elimination_shotgun", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_grenade, "elimination_grenade", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_rocket, "elimination_rocket", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_railgun, "elimination_railgun", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_lightning, "elimination_lightning", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_plasmagun, "elimination_plasmagun", "200", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-//#ifdef MISSIONPACK
-	{ &g_elimination_chain, "elimination_chain", "0", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_mine, "elimination_mine", "0", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-	{ &g_elimination_nail, "elimination_nail", "0", CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-//#endif
-	//Beta 10
-	{ &g_elimination_ctf_oneway, "elimination_ctf_oneway", "0", CVAR_SERVERINFO | CVAR_ARCHIVE| CVAR_NORESTART, 0, qtrue },
-
-        
-        { &g_awardpushing, "g_awardpushing", "0", CVAR_ARCHIVE | CVAR_NORESTART, 0, qtrue },    
-        
-	//nexuiz style rocket arena
-	{ &g_rockets, "g_rockets", "0", CVAR_SERVERINFO | CVAR_LATCH | CVAR_NORESTART, 0, qfalse },
-
-	//Instantgib and Vampire thingies
-	{ &g_instantgib, "g_instantgib", "0", CVAR_SERVERINFO | CVAR_LATCH | CVAR_NORESTART, 0, qfalse },
-	{ &g_vampire, "g_vampire", "0.0", CVAR_NORESTART, 0, qtrue },
-	{ &g_regen, "g_regen", "0", CVAR_NORESTART, 0, qtrue },
-	{ &g_vampireMaxHealth, "g_vampire_max_health", "500", CVAR_NORESTART, 0, qtrue },
-	//beta 5
-	{ &g_lms_lives, "g_lms_lives", "1", CVAR_NORESTART, 0, qtrue },
-	//beta 8
-	{ &g_lms_mode, "g_lms_mode", "0", CVAR_ARCHIVE | CVAR_NORESTART, 0, qtrue },
-        //beta 23
-        { &g_humanplayers, "g_humanplayers", "0", CVAR_SERVERINFO | CVAR_NORESTART, 0, qfalse },
+	{ &g_rankings, "g_rankings", "0", 0, 0, qfalse}
+
 };
 
-// bk001129 - made static to avoid aliasing
 static int gameCvarTableSize = sizeof( gameCvarTable ) / sizeof( gameCvarTable[0] );
 
 
@@ -489,13 +360,6 @@ void G_RegisterCvars( void ) {
 		trap_Cvar_Set( "g_gametype", "0" );
 	}
 
-	//set FFA status for high gametypes:
-	if ( g_gametype.integer == GT_LMS ) {
-		g_ffa_gt = 1;	//Last Man standig is a FFA gametype
-	} else {
-		g_ffa_gt = 0;	//If >GT_CTF use bases
-	}
-
 	level.warmupModificationCount = g_warmup.modificationCount;
 }
 
@@ -549,14 +413,6 @@ void G_InitGame( int levelTime, int rand
 	srand( randomSeed );
 
 	G_RegisterCvars();
-        
-        //disable unwanted cvars
-        if( g_gametype.integer == GT_SINGLE_PLAYER )
-        {
-            g_instantgib.integer = 0;
-            g_rockets.integer = 0;
-            g_vampire.value = 0.0f;
-        }
 
 	G_ProcessIPBans();
 
@@ -626,7 +482,7 @@ void G_InitGame( int levelTime, int rand
 	G_FindTeams();
 
 	// make sure we have flags for CTF, etc
-	if( g_gametype.integer >= GT_TEAM && (g_ffa_gt!=1)) {
+	if( g_gametype.integer >= GT_TEAM ) {
 		G_CheckTeamItems();
 	}
 
@@ -648,22 +504,6 @@ void G_InitGame( int levelTime, int rand
 
 	G_RemapTeamShaders();
 
-	//elimination:
-	level.roundNumber = 1;
-	level.roundNumberStarted = 0;
-	level.roundStartTime = level.time+g_elimination_warmup.integer*1000;
-	level.roundRespawned = qfalse;
-	level.eliminationSides = rand()%2; //0 or 1
-
-	if(g_gametype.integer == GT_DOUBLE_D)
-		Team_SpawnDoubleDominationPoints();
-
-	if(g_gametype.integer == GT_DOMINATION ){
-		level.dom_scoreGiven = 0;
-		for(i=0;i<MAX_DOMINATION_POINTS;i++)
-			level.pointStatusDom[i] = TEAM_NONE;
-		level.domination_points_count = 0; //make sure its not too big
-	}
 }
 
 
@@ -960,7 +800,7 @@ void CalculateRanks( void ) {
 		sizeof(level.sortedClients[0]), SortRanks );
 
 	// set the rank value for all clients that are connected and not spectators
-	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if ( g_gametype.integer >= GT_TEAM ) {
 		// in team games, rank is just the order of the teams, 0=red, 1=blue, 2=tied
 		for ( i = 0;  i < level.numConnectedClients; i++ ) {
 			cl = &level.clients[ level.sortedClients[i] ];
@@ -995,7 +835,7 @@ void CalculateRanks( void ) {
 	}
 
 	// set the CS_SCORES1/2 configstrings, which will be visible to everyone
-	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if ( g_gametype.integer >= GT_TEAM ) {
 		trap_SetConfigstring( CS_SCORES1, va("%i", level.teamScores[TEAM_RED] ) );
 		trap_SetConfigstring( CS_SCORES2, va("%i", level.teamScores[TEAM_BLUE] ) );
 	} else {
@@ -1018,9 +858,6 @@ void CalculateRanks( void ) {
 	if ( level.intermissiontime ) {
 		SendScoreboardMessageToAllClients();
 	}
-        
-        if(g_humanplayers.integer != level.numVotingClients)
-            trap_Cvar_Set( "g_humanplayers", va("%i", level.numVotingClients) );
 }
 
 
@@ -1046,75 +883,6 @@ void SendScoreboardMessageToAllClients( 
 	for ( i = 0 ; i < level.maxclients ; i++ ) {
 		if ( level.clients[ i ].pers.connected == CON_CONNECTED ) {
 			DeathmatchScoreboardMessage( g_entities + i );
-			EliminationMessage( g_entities + i );
-		}
-	}
-}
-
-/*
-========================
-SendElimiantionMessageToAllClients
-
-Used to send information important to Elimination
-========================
-*/
-void SendEliminationMessageToAllClients( void ) {
-	int		i;
-
-	for ( i = 0 ; i < level.maxclients ; i++ ) {
-		if ( level.clients[ i ].pers.connected == CON_CONNECTED ) {
-			EliminationMessage( g_entities + i );
-		}
-	}
-}
-
-/*
-========================
-SendDDtimetakenMessageToAllClients
-
-Do this if a team just started dominating.
-========================
-*/
-void SendDDtimetakenMessageToAllClients( void ) {
-	int		i;
-
-	for ( i = 0 ; i < level.maxclients ; i++ ) {
-		if ( level.clients[ i ].pers.connected == CON_CONNECTED ) {
-			DoubleDominationScoreTimeMessage( g_entities + i );
-		}
-	}
-}
-
-/*
-========================
-SendAttackingTeamMessageToAllClients
-
-Used for CTF Elimination oneway
-========================
-*/
-void SendAttackingTeamMessageToAllClients( void ) {
-	int		i;
-
-	for ( i = 0 ; i < level.maxclients ; i++ ) {
-		if ( level.clients[ i ].pers.connected == CON_CONNECTED ) {
-			AttackingTeamMessage( g_entities + i );
-		}
-	}
-}
-
-/*
-========================
-SendDominationPointsStatusMessageToAllClients
-
-Used for Standard domination
-========================
-*/
-void SendDominationPointsStatusMessageToAllClients( void ) {
-	int		i;
-
-	for ( i = 0 ; i < level.maxclients ; i++ ) {
-		if ( level.clients[ i ].pers.connected == CON_CONNECTED ) {
-			DominationPointStatusMessage( g_entities + i );
 		}
 	}
 }
@@ -1348,7 +1116,7 @@ Append information about this game to th
 void LogExit( const char *string ) {
 	int				i, numSorted;
 	gclient_t		*cl;
-#ifdef MISSIONPACK // bk001205
+#ifdef MISSIONPACK
 	qboolean won = qtrue;
 #endif
 	G_LogPrintf( "Exit: %s\n", string );
@@ -1365,7 +1133,7 @@ void LogExit( const char *string ) {
 		numSorted = 32;
 	}
 
-	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if ( g_gametype.integer >= GT_TEAM ) {
 		G_LogPrintf( "red:%i  blue:%i\n",
 			level.teamScores[TEAM_RED], level.teamScores[TEAM_BLUE] );
 	}
@@ -1397,7 +1165,7 @@ void LogExit( const char *string ) {
 
 #ifdef MISSIONPACK
 	if (g_singlePlayer.integer) {
-		if (g_gametype.integer >= GT_CTF && g_ffa_gt==0) {
+		if (g_gametype.integer >= GT_CTF) {
 			won = level.teamScores[TEAM_RED] > level.teamScores[TEAM_BLUE];
 		}
 		trap_SendConsoleCommand( EXEC_APPEND, (won) ? "spWin\n" : "spLose\n" );
@@ -1432,7 +1200,7 @@ void CheckIntermissionExit( void ) {
 	ready = 0;
 	notReady = 0;
 	readyMask = 0;
-        playerCount = 0;
+	playerCount = 0;
 	for (i=0 ; i< g_maxclients.integer ; i++) {
 		cl = level.clients + i;
 		if ( cl->pers.connected != CON_CONNECTED ) {
@@ -1442,7 +1210,7 @@ void CheckIntermissionExit( void ) {
 			continue;
 		}
 
-                playerCount++;
+		playerCount++;
 		if ( cl->readyToExit ) {
 			ready++;
 			if ( i < 16 ) {
@@ -1509,16 +1277,8 @@ qboolean ScoreIsTied( void ) {
 	if ( level.numPlayingClients < 2 ) {
 		return qfalse;
 	}
-        
-        //Sago: In Elimination and Oneway Flag Capture teams must win by two points.
-        if ( g_gametype.integer == GT_ELIMINATION || 
-                (g_gametype.integer == GT_CTF_ELIMINATION && g_elimination_ctf_oneway.integer)) {
-            return (level.teamScores[TEAM_RED] == level.teamScores[TEAM_BLUE] || 
-                    level.teamScores[TEAM_RED] == level.teamScores[TEAM_BLUE]+1 ||
-                    level.teamScores[TEAM_RED] == level.teamScores[TEAM_BLUE]-1);
-        }
 	
-	if ( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if ( g_gametype.integer >= GT_TEAM ) {
 		return level.teamScores[TEAM_RED] == level.teamScores[TEAM_BLUE];
 	}
 
@@ -1581,7 +1341,7 @@ void CheckExitRules( void ) {
 		return;
 	}
 
-	if ( (g_gametype.integer < GT_CTF || g_ffa_gt>0 ) && g_fraglimit.integer ) {
+	if ( g_gametype.integer < GT_CTF && g_fraglimit.integer ) {
 		if ( level.teamScores[TEAM_RED] >= g_fraglimit.integer ) {
 			trap_SendServerCommand( -1, "print \"Red hit the fraglimit.\n\"" );
 			LogExit( "Fraglimit hit." );
@@ -1612,7 +1372,7 @@ void CheckExitRules( void ) {
 		}
 	}
 
-	if ( (g_gametype.integer >= GT_CTF && g_ffa_gt<1) && g_capturelimit.integer ) {
+	if ( g_gametype.integer >= GT_CTF && g_capturelimit.integer ) {
 
 		if ( level.teamScores[TEAM_RED] >= g_capturelimit.integer ) {
 			trap_SendServerCommand( -1, "print \"Red hit the capturelimit.\n\"" );
@@ -1628,96 +1388,7 @@ void CheckExitRules( void ) {
 	}
 }
 
-//LMS - Last man Stading functions:
-void StartLMSRound(void) {
-	int		countsLiving;
-	countsLiving = TeamLivingCount( -1, TEAM_FREE );
-	if(countsLiving<2) {
-		trap_SendServerCommand( -1, "print \"Not enough players to start the round\n\"");
-		level.roundNumberStarted = level.roundNumber-1;
-		level.roundStartTime = level.time+1000*g_elimination_warmup.integer;
-		return;
-	}
 
-	//If we are enough to start a round:
-	level.roundNumberStarted = level.roundNumber; //Set numbers
-
-        
-        
-	SendEliminationMessageToAllClients();
-	EnableWeapons();
-}
-
-//the elimination start function
-void StartEliminationRound(void) {
-
-	int		countsLiving[TEAM_NUM_TEAMS];
-	countsLiving[TEAM_BLUE] = TeamLivingCount( -1, TEAM_BLUE );
-	countsLiving[TEAM_RED] = TeamLivingCount( -1, TEAM_RED );
-	if((countsLiving[TEAM_BLUE]==0) || (countsLiving[TEAM_RED]==0))
-	{
-		trap_SendServerCommand( -1, "print \"Not enough players to start the round\n\"");
-		level.roundNumberStarted = level.roundNumber-1;
-		level.roundRespawned = qfalse;
-		//Remember that one of the teams is empty!
-		level.roundRedPlayers = countsLiving[TEAM_RED];
-		level.roundBluePlayers = countsLiving[TEAM_BLUE];
-		level.roundStartTime = level.time+1000*g_elimination_warmup.integer;
-		return;
-	}
-	
-	//If we are enough to start a round:
-	level.roundNumberStarted = level.roundNumber; //Set numbers
-	level.roundRedPlayers = countsLiving[TEAM_RED];
-	level.roundBluePlayers = countsLiving[TEAM_BLUE];
-	if(g_gametype.integer == GT_CTF_ELIMINATION) {
-		Team_ReturnFlag( TEAM_RED );
-		Team_ReturnFlag( TEAM_BLUE );
-	}
-        if(g_gametype.integer == GT_ELIMINATION) {
-            G_LogPrintf( "ELIMINATION: %i %i %i: Round %i has started!\n", level.roundNumber, -1, 0, level.roundNumber );
-        } else if(g_gametype.integer == GT_CTF_ELIMINATION) {
-            G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: Round %i has started!\n", level.roundNumber, -1, -1, 4, level.roundNumber );
-        }
-	SendEliminationMessageToAllClients();
-	if(g_elimination_ctf_oneway.integer)
-		SendAttackingTeamMessageToAllClients(); //Ensure that evaryone know who should attack.
-	EnableWeapons();
-}
-
-//things to do at end of round:
-void EndEliminationRound(void)
-{
-	DisableWeapons();
-	level.roundNumber++;
-	level.roundStartTime = level.time+1000*g_elimination_warmup.integer;
-	SendEliminationMessageToAllClients();
-	level.roundRespawned = qfalse;
-	if(g_elimination_ctf_oneway.integer)
-		SendAttackingTeamMessageToAllClients();
-}
-
-//Things to do if we don't want to move the roundNumber
-void RestartEliminationRound(void) {
-	DisableWeapons();
-	level.roundNumberStarted = level.roundNumber-1;
-	level.roundStartTime = level.time+1000*g_elimination_warmup.integer;
-	SendEliminationMessageToAllClients();
-	level.roundRespawned = qfalse;
-	if(g_elimination_ctf_oneway.integer)
-		SendAttackingTeamMessageToAllClients();
-}
-
-//Things to do during match warmup
-void WarmupEliminationRound(void) {
-	EnableWeapons();
-	level.roundNumberStarted = level.roundNumber-1;
-	level.roundStartTime = level.time+1000*g_elimination_warmup.integer;
-	SendEliminationMessageToAllClients();
-	level.roundRespawned = qfalse;
-	if(g_elimination_ctf_oneway.integer)
-		SendAttackingTeamMessageToAllClients();
-}
 
 /*
 ========================================================================
